* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    height: 100vh;
    background: linear-gradient(180deg, blue 50%, black 50%);
    /* display: flex;
    align-items: center;
    justify-content: center; */
}

.clock {
    height: 20rem;
    width: 20rem;
    background-color: #fff;
    border-radius: 50%;
    border: .75rem solid rgb(24, 24, 24);
    outline: 2px solid black;
    background: rgb(255, 255, 255);
    box-sizing: content-box;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    justify-content: center;
    align-items: center;
}

.clock img {
    background-size: cover;
    height: 22rem;
}



.hand {
    position: absolute;
    margin: auto;
    left: 0;
    right: 0;
    border-radius: 10px;
    transform-origin: bottom;

}

.hour {
    height: 60px;
    width: 8px;
    background-color: rgb(56, 15, 15);
    top: 100px;
}
.minute {
    height: 80px;
    width: 5px;
    top: 80px;
    background-color: rgb(120, 3, 3);
}
.second {
    height: 100px;
    width: 2px;
    top: 60px;
    background-color: rgb(255, 0, 0);
}




@media screen and (max-width: 500px) {
    .clock {
        height: 15rem;
        width: 15rem;
    }


    .clock img {
        height: 16.5rem;
        width: 16.5rem;
    }

    .hour {
        top: 60px;
    }
    .minute {
        height: 75px;
        width: 5px;
        top: 45px;
    }
    .second {
        height: 90px;
        width: 2px;
        top: 30px;
    }
}

@media screen and (max-width: 300px) {
    .clock {
        height: 10rem;
        width: 10rem;
    }
    
    .clock img {
        height: 11rem;
        width: 11rem;
    }
    .hour {
        height: 40px;
        width: 5px;
        top: 40px;
    }
    .minute {
        height: 50px;
        width: 3px;
        top: 30px;
    }
    .second {
        height: 60px;
        width: 2px;
        top: 20px;
    }
}